Supply agents

Raise a procurement request (and RFQ)

POST
/api/v1/procurement

Raise a procurement request (and RFQ).

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Request Body

application/json

auto_negotiate?boolean
Defaultfalse
budget_cap?|
inventory_item_id*string
Formatuuid
max_delivery_days?|
Range1 <= value <= 60
max_rounds?|
Range1 <= value <= 6
min_reliability?|
note?string
Lengthlength <= 1000
Default""
quantity?|
target_margin?|

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/procurement" \  -H "Content-Type: application/json" \  -d '{    "inventory_item_id": "18dd3e9a-1adb-4867-99a3-0bde9f26475c"  }'
{  "data": {},  "meta": {},  "success": true}